Tra cứu API
Tìm thao tác
tools_search — Search every X-Buddy operation this connection may run (not only the tools shown now): returns up to 5 matches with their input fields.
tools_search · Đọc dữ liệu đã lưu
Mô tả kỹ thuật bằng tiếng Anh — đúng chữ AI agent đọc qua MCP.
Search every X-Buddy operation this connection may run (not only the tools shown now): returns up to 5 matches with their input fields. Then call execute_read (R / L) or execute_write (X / W / D) with the operation id.
| REST | GET /api/public/v1/operations/search |
| Công cụ MCP | tools_search |
| Quyền cần có | view — Chủ, Quản lý, Vận hành, Chỉ xem |
| Nhóm quyền | accounts:read |
| Nhóm | Gọi gián tiếp và tài liệu |
| Hiện sẵn trong hồ sơ | mọi hồ sơ (bộ lõi) |
Đầu vào
| Trường | Kiểu | Bắt buộc | Mô tả |
|---|---|---|---|
query |
string (2–200 chars) | Có | What you want to do, e.g. 'pin a post', 'campaign funnel', 'add people to a list'. |
domain |
string (0–30 chars) | Không | Optional domain filter (x_write, tasks, campaigns, posts, audience, growth, inbox, reports, infra…). |
kind |
R · L · X · W · D |
Không | Optional kind filter. |
Kết quả
Trả về trong phong bì { data, meta }, không tạo việc trên X. Danh sách có next_cursor và has_more.
Ví dụ
Gọi qua REST
curl -X GET "https://reach-link-craft.lovable.app/api/public/v1/operations/search?query=ai+agents" \
-H "Authorization: Bearer $XBUDDY_API_KEY"
Gọi qua MCP
{
"method": "tools/call",
"params": {
"name": "tools_search",
"arguments": {
"query": "ai agents"
}
}
}
Lỗi có thể gặp
| Mã | HTTP | Thử lại được |
|---|---|---|
unauthorized |
401 | Không |
key_expired |
401 | Không |
integration_revoked |
401 | Không |
connection_not_linked |
403 | Không |
integration_paused |
403 | Không |
workspace_integrations_paused |
403 | Không |
integration_authorization_lost |
403 | Không |
workspace_suspended |
403 | Không |
forbidden |
403 | Không |
invalid_input |
422 | Không |
rate_limited |
429 | Có |
internal |
500 | Có |